> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/vi/phat-trien/chiliz-chain-api.md).

# Chiliz Chain API

Chiliz Chain API cung cấp quyền truy cập vào các thông tin hữu ích về nguồn cung CHZ và quản trị, bao gồm chi tiết nguồn cung lưu thông đến một khối cụ thể và thông tin staking cho một địa chỉ nhất định.

## Chi tiết API

### URL cơ sở

URL cơ sở của API là `https://cc-api.chiliz.com/`

Tài liệu Swagger mặc định có tại đây: <https://cc-api.chiliz.com/docs>

### Xác thực

Chiliz Chain API sử dụng [OpenAPI Specification](https://www.openapis.org/) (OAS) v3.0.3 để định nghĩa các phương thức bảo mật.

Vui lòng tham khảo [đặc tả OAS 3.0](https://spec.openapis.org/oas/v3.0.3.html) để biết chi tiết về cách xác thực, vì các phương thức xác thực cụ thể không được mô tả trong tài liệu này.

### Định dạng dữ liệu

Tất cả các yêu cầu và phản hồi đều ở định dạng JSON.

## Các endpoint

### GET /supply

Truy xuất nguồn cung CHZ lưu thông hiện tại đến một số khối được chỉ định, cùng với thông tin lạm phát và giảm phát theo khối.

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

Truy xuất tổng số CHZ đang được stake và phần thưởng staking hiện tại cho một địa chỉ cụ thể đến một số epoch nhất định, cùng với thông tin chi tiết về nơi CHZ đang được stake (các nhà xác thực và số lượng).

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/vi/phat-trien/chiliz-chain-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
